{% assign product = all_products[section.settings.featured_product] %}
{% assign current_variant = product.selected_or_first_available_variant %}

{% if product == empty %}
  {% assign section_onboarding = true %}
  {% capture vendor_ %} Vendor name {% endcapture %}
  {% capture title_ %} Your product's name {% endcapture %}
  {% assign compare_at_price = 2999 %}
  {% assign price = 1999 %}
  {% assign gallery_size = 1 %}
{% else %}
  {% assign section_onboarding = false %}
  {% assign vendor_ = product.vendor %}
  {% assign title_ = product.title %}
  {% assign compare_at_price = current_variant.compare_at_price %}
  {% assign price = current_variant.price %}
  {% assign gallery_size = product.images.size %}
{% endif %}

<div id="section-{{ section.id }}" class="site-box-container container--fullscreen box--can-stick onboarding-{{ section_onboarding }} product--section" data-gallery-size="{{ gallery_size }}" data-id="{{ product.id }}" data-hide-variants="{{ section.settings.hide_variants }}" data-product-available="{{ product.available }}">

	<div class="site-box box--big lap--box--bigger box--typo-big box--no-padding box__product-gallery {{ section.settings.gallery_style }}" data-lap="box--bigger" data-order="0">

		<div class="site-box-content">

			{% if section_onboarding or product.images.size == 0 %} 
   
				<div class="gallery-item">
          <span class="onboarding-svg">{{ 'product-1' | placeholder_svg_tag }}</span>
				</div>

			{% else %}

				{% for image in product.images %}
          
          <div class="box--product-image gallery-item" data-index="{{ forloop.index0 }}" {% if image.attached_to_variant? %} data-variant-img="{{ image.variants[0].featured_image.id }}"{% endif %} data-master="{{ image.src | img_url: '2560x' }}">

            <img
              src="{{ image.src | img_url: '960x' }}" alt="{{ image.alt | escape }}"
              srcset="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="
              data-srcset="{{ image.src | img_url: '600x' }} 480w, {{ image.src | img_url: '900x' }} 720w, {{ image.src | img_url: '1100x' }} 960w, {{ image.src | img_url: '1600x' }} 1440w, {{ image.src | img_url: '2100x' }} 1920w"
              data-sizes="auto"
              class="lazyload" 
            />

            <noscript><span class="ll-fallback" style="background-image:url({{ image.src | img_url: '960x' }})"></span></noscript> 

          </div>


				{% endfor %}

			{% endif %}

		</div>

	</div>
  
  <div class="site-box box--big lap--box--bigger box--typo-big box--center-align box--column-flow box__product-content"  data-lap="box--bigger" data-order="1">

    <div class="site-box-content fix-me-with-margin">
      
      <h3 class="product-title" itemprop="name">{{ title_ }}</h3>

      {% if section.settings.product_vendor_enabled %}
        {% capture vendor %} {{ vendor_ | link_to_vendor }} {% endcapture %}
        <p class="product-vendor" itemprop="brand">{{ 'product.vendor_html' | t: vendor: vendor }}</p>
      {% endif %}

      <span class="price">
        {% include 'product_badges' %}
        <span class="product-price">{{ price | money }}</span>
        {% if compare_at_price > price %}
          <span class="info compare-price">{{ compare_at_price | money }}</span>
        {% endif %}
      </span>

      <div class="offers" itemprop="offers" itemscope itemtype="//schema.org/Offer">

        {% if section_onboarding %}

          <div class="cart-functions">

            <input type="number" name="quantity" value="1" min="1" class="quantity-selector" aria-label="Quantity" style="display: none;">
            <button type="submit" name="add" class="button color disabled" disabled=""><span id="addToCartText">Sold out</span></button>
            <span class="variant-quantity">There are no products left</span>

          </div>

        {% else %}

          {% assign variant = product.selected_or_first_available_variant %}
              
          <meta itemprop="price" content="{{ product.price | money_without_currency }}">
          <meta itemprop="priceCurrency" content="{{ shop.currency }}">

          <link itemprop="availability" href="//schema.org/{% if product.available %}InStock{% else %}OutOfStock{% endif %}">

          <div id="add-to-cart-{{ section.id }}" class="product--add-to-cart-form style--{{ section.settings.variants_style }}" data-type="{{ settings.cart_action }}">

            {% form 'product', product %}

              <div class="product-variants-holder">

                {% for option in product.options_with_values %}
                  <div class="product-variant selector-wrapper hidden">
                    <label for="product-{{ option.name | downcase | strip }}">{{ option.name }}</label>
                    <select class="product-variants" id="product-{{ option.name | downcase | strip }}">
                      {% for value in option.values %}
                        <option {% if option.selected_value == value %}selected{% endif %}>{{ value }}</option>
                      {% endfor %}
                    </select>
                  </div>
                {% endfor %}

              </div>

               <select id="productSelect" name="id" class="styled" style="display: none;">
                {% for variant in product.variants %}
                  {% if variant.available %}
                    <option {% if variant == product.selected_or_first_available_variant %} selected="selected" {% endif %} value="{{ variant.id }}">
                      {{ variant.title }}
                    </option>
                  {% else %}
                    <option disabled="disabled">{{ variant.title }}</option>
                  {% endif %}
                {% endfor %}
              </select>

              <div class="cart-functions payment-button--{{ section.settings.enable_payment_button }}">
  
                {% include 'product_quantity' %}

                <button type="submit" name="add" class="button color"><span class="add-to-cart-text">{{ 'product.add_to_cart' | t }}</span></button>

                {% if section.settings.enable_payment_button %}
                  {{ form | payment_button }}
                {% endif %}

                <span class="variant-quantity"></span>

              </div>

            {% endform %}

          </div>

        {% endif %}

      </div>
      
      {% unless section_onboarding %}
        <div class="rte" itemprop="description">
          {{ product.description }}
        </div>
      {% endunless %}

    </div>

  </div>

</div>

{% if section.settings.gallery_resize == 'fit' %}
  <style type="text/css">
    #section-{{ section.id }} .box__product-gallery .box--product-image {
      width: 84%;
      height: 84%;
      margin: 8%;
    }
    #section-{{ section.id }} .box__product-gallery .box--product-image img {
      height: 100%;
      width: 100%;
      position: absolute;
      object-fit: contain !important;
      font-family: "object-fit: contain" !important;
    }
    #fix-me-header {
      content: "fix-gallery-item";
    }
    @media  screen and (max-width: 768px), screen and (max-width: 1024px) and (orientation: portrait){ 
      #section-{{ section.id }} .box__product-gallery .box--product-image {
        width: 90% !important;
        height: 90% !important;
        margin: 5%;
      }
    }
  </style>
{% endif %}

{% if settings.cart_action == 'overlay' %}
  <script type="text/javascript">
    if ( ! $('html').hasClass('ie9') ) {
      $('#add-to-cart-{{ section.id }}').attr('action', $('#add-to-cart-{{ section.id }}').attr('action') + '.js');
    }
  </script>
{% endif %}

{% unless product.empty == empty %}

  <script type="application/json" id="ProductJson-{{ section.id }}" class="product-json">
    {{ product | json }}
  </script>

{% endunless %}

{% schema %}
	{
    "name": "Featured product",
    "class": "mount-product mount-images",
    "settings": [
      {
        "type": "product",
        "id": "featured_product",
        "label": "Product"
      },
      {
        "type": "select",
        "id": "gallery_style",
        "label": "Gallery style",
        "options": [
          {
            "value": "scroll",
            "label": "Scroll"
          },
          {
            "value": "slider",
            "label": "Slider"
          }
        ]
      },
      {
        "type": "select",
        "id": "gallery_resize",
        "label": "Gallery image aspect",
        "options": [
          {
            "value": "fill",
            "label": "Cropped"
          },
          {
            "value": "fit",
            "label": "Natural"
          }
        ]
      },
      {
        "type": "checkbox",
        "id": "product_vendor_enabled",
        "label": "Show vendor",
        "default": true
      },
      {
        "type": "select",
        "id": "variants_style",
        "label": "Variants style",
        "options": [
          {
            "value": "minimal",
            "label": "Minimal"
          },
          {
            "value": "classic",
            "label": "Classic"
          }
        ]
      },
      {
        "type": "checkbox",
        "id": "hide_variants",
        "label": "Hide out of stock variants",
        "default": false
      },
      {
        "type": "checkbox",
        "id": "quantity_selector",
        "label": "Show quantity selector",
        "default": true
      },
      {
        "type": "checkbox",
        "id": "enable_payment_button",
        "label": "Show dynamic checkout button",
        "info": "Each customer will see their preferred payment method from those available on your store, such as PayPal or Apple Pay. [Learn more](https://help.shopify.com/manual/using-themes/change-the-layout/dynamic-checkout)",
        "default": true
      }
    ],
    "presets": [
      {
        "name": "Featured product",
        "category": "Product"
      }
    ]
   }
{% endschema %}